{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block stylesheets %}
    <!-- Chargement de la feuille de style spécifique au formulaire d'inscription -->
    <link rel="stylesheet" href="{{ asset('assets/css/login.css') }} ">
{% endblock %}

{% block body %}
    <!-- Conteneur principal pour le formulaire d'inscription -->
    <div class="sign-in-container">
        <!-- Titre du formulaire -->
        <h1>Crée un compte</h1>

        <!-- Affichage des erreurs de formulaire global -->
        {{ form_errors(registrationForm) }}

        <!-- Début du formulaire d'inscription -->
        {{ form_start(registrationForm) }}

        <!-- Affichage des champs du formulaire -->
        {{ form(registrationForm) }}

        <!-- Fin du formulaire d'inscription -->
        {{ form_end(registrationForm) }}
    </div>
{% endblock %}
